<?php

session_start();
//  error_reporting(0);



 if($_SESSION["ActivarFacturacionElectronica"]==1 || $_SESSION["activarPosElectronico"]==1){


    include("../conexion/conexion.php");   
    $conn=new conexion();
    $conectar=$conn->conectar();
    
    $verificarActivoElectro="";
    $verificarActivoElectro="select * from empresa where ActivarFacturacionElectronica=1 or activarPosElectronico=1";
    $ejecutar=$conectar->query($verificarActivoElectro);


    if($estado=mysqli_fetch_object($ejecutar)){
 //pos electronico

       
        $factura="SELECT `tipoId`, `cedula`, `Nombre`,
        `direccion`, `telefono`, `apellido`, `correo`,
          `dv`, `naturaleza`,
         `regimen`, `responsabilidad`, `codigociudad`,`ResoluPosElec`, `PrefijoPosE`, `userApi`, `passApi`,
         facturas.factura, `valor`, `fechaFactura`,  `F.Pago_Electro`, `Fecha_Venci_Electro`, `M.Pago_Electro`,nit,detallef
         
           FROM `facturas` INNER JOIN empresa on facturas.idbodegaF=empresa.bodegaEm 
       
        INNER JOIN clientes on facturas.cliente=clientes.cedula 
        WHERE tipoFactura='Electronica' and EstadoEjecucion='0'  and cufe='0' and facturas.devolucion='0' and activarPosElectronico=1 and Pos_Electronico=1   limit 1 ";
           $resultado=$conectar->query($factura);   
         
           
          if($resultado->num_rows>0 ){

           

            include("posElectronico.php");  
 //pos electronico
          }else{
           
               include("facturacionElectronica.php");


         }



/// consultar estado documentos electronicos

//include("consultarEstadoFacturaelec.php");

///











    }else{

         echo "Sin datos para precesar";  
    }

    // if($_SESSION["activarPosElectronico"]==1 || ){
        
    //          

    // }else{
    //     include("facturacionElectronica.php");
    // }
  




 }else{
    echo "No autorizado";  
 }




?>